PROGRAM Hello
! ------------------------------------------------!
! Hello world!                                    !
! ------------------------------------------------!
! REMARK: no communication actually!

IMPLICIT NONE
INCLUDE "mpif.h"	! MPI library
INTEGER:: err

CALL MPI_INIT (err)	! Initialize communication

WRITE(*,*) "Hello world!"

CALL MPI_FINALIZE (err)	! Finalize communication
END PROGRAM Hello
